commit 24564dd20af0844e4284e20a9d6758ab9b6d1b4d
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Tue Sep 27 00:18:55 2022 +0000

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 7764f7ed0a8..38c805d4b6a 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20220926
+20220927
diff --git a/gcc/fortran/ChangeLog b/gcc/fortran/ChangeLog
index c838e5d66ab..2e8b844eb0d 100644
--- a/gcc/fortran/ChangeLog
+++ b/gcc/fortran/ChangeLog
@@ -1,3 +1,12 @@
+2022-09-26  Harald Anlauf  <anlauf@gmx.de>
+
+	Backported from master:
+	2022-09-20  Harald Anlauf  <anlauf@gmx.de>
+
+	PR fortran/106986
+	* simplify.c (gfc_simplify_findloc): Do not try to simplify
+	intrinsic FINDLOC when the ARRAY argument has a NULL shape.
+
 2022-09-24  José Rui Faustino de Sousa  <jrfsousa@gmail.com>
 
 	Backported from master:
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index a1328f0656d..6debda40f89 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,11 @@
+2022-09-26  Harald Anlauf  <anlauf@gmx.de>
+
+	Backported from master:
+	2022-09-20  Harald Anlauf  <anlauf@gmx.de>
+
+	PR fortran/106986
+	* gfortran.dg/pr106986.f90: New test.
+
 2022-09-24  José Rui Faustino de Sousa  <jrfsousa@gmail.com>
 
 	Backported from master:

